Package Details: gzdoom 4.7.1-1

Git Clone URL: https://aur.archlinux.org/gzdoom.git (read-only, click to copy)
Package Base: gzdoom
Description: Feature centric port for all Doom engine games
Upstream URL: http://www.zdoom.org/
Licenses: GPL3, BSD, LGPL3
Replaces: gzdoom-legacy, gzdoom1
Submitter: None
Maintainer: grubber
Last Packager: grubber
Votes: 128
Popularity: 1.37
First Submitted: 2009-02-22 22:28
Last Updated: 2021-10-21 15:10

Dependencies (28)

Sources (3)

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 9 ... Next › Last »

grubber commented on 2019-12-16 06:52

PopeRigby, remove ~/.config/gzdoom/gzdoom.ini and run gzdoom again.

PopeRigby commented on 2019-12-15 00:43

I'm getting "Cannot find gzdoom.pk3" when I run gzdoom

RealGecko commented on 2019-10-28 10:28

Yes, 4.2.3 compiled successfully, thank you!

grubber commented on 2019-10-22 09:05

RealGecko, thank you. I was able to reproduce the error with 4.2.1, but not with 4.2.3, so hopefully it's fixed.

RealGecko commented on 2019-10-21 11:56

https://www.dropbox.com/s/n84x4c71z4wvvh7/makepkg.log?dl=0

Here's full log.

grubber commented on 2019-10-21 08:57

I would still like to see the failing makepkg output with make VERBOSE=1, because -lrt is a linker flag and adding it to compiler flags fixes the error just by accident. Could any of you upload it somewhere?

mydavoodeh commented on 2019-10-19 21:38

browniesrgut and RealGecko, Thanks to lobotron, I've fixed it by adding -lrt to my PKGBUILD, the var DCMAKE_CXX_FLAGS. I can confirm it's the solution to the problem.

RealGecko commented on 2019-10-18 08:21

-DCMAKE_EXE_LINKER_FLAGS="${LDFLAGS} -Wl,-z,noexecstack -lrt" \ This did not help.

grubber commented on 2019-10-14 08:40

browniesrgut, could you update the PKGBUILD to do "make VERBOSE=1" instead of just "make" and post makepkg output then?

lobotron commented on 2019-10-12 13:32

Add -lrt to DCMAKE_CXX_FLAGS.